API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/projects/{projectId}/acceptance-protocols

POST/v1/projects/{projectId}/acceptance-protocols

Create a new acceptance protocol (Abnahmeprotokoll) DRAFT for a project. Builds an immutable project snapshot server-side. (ADR 0224)

Datenmodell

Diese Operation arbeitet auf der Entität Project (project). Alle 44 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
titlestring
introTextstring
scopeItemsobject[]
signerNamestring
signerEmailstring
signerPartyIdstring
coSignerUserIdstring

Pfad-Parameter

NameTypBeschreibung
projectIderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/projects/{projectId}/acceptance-protocols \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "title": "string",
  "introText": "string",
  "scopeItems": [],
  "signerName": "string",
  "signerEmail": "string",
  "signerPartyId": "string",
  "coSignerUserId": "string"
}'
const result = await cm.projects.post({
  "title": "string",
  "introText": "string",
  "scopeItems": [],
  "signerName": "string",
  "signerEmail": "string",
  "signerPartyId": "string",
  "coSignerUserId": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche